Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.io
Class SignerOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.bouncycastle.crypto.io.SignerOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class SignerOutputStream

extends java.io.FilterOutputStream

Field Summary
`protected Signer` `signer`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`SignerOutputStream(java.io.OutputStream stream, Signer signer)`

Method Summary
`Signer` `getSigner()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### signer

    protected Signer signer

Constructor Detail

### SignerOutputStream

    public SignerOutputStream(java.io.OutputStream stream,
                              Signer signer)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### getSigner

    public Signer getSigner()

Bouncy Castle Cryptography Library 1.45